<%@ Page Title="" Language="C#" MasterPageFile="~/Modules/Integration.Master"
    AutoEventWireup="true" CodeBehind="SyncConfig.aspx.cs" Inherits="BlueDot.IFT.Services.Integration.SyncConfig"  %>

<asp:Content ID="mainContent" ContentPlaceHolderID="contentHolder" runat="server">
    <script type="text/javascript" language="JavaScript">
     // CREDITS:
     // Automatic Page Refresher by Peter Gehrig and Urs Dudli www.24fun.com
     // Permission given to use the script provided that this notice remains as is.
     // Additional scripts can be found at http://www.hypergfurl.com.

     // Configure refresh interval (in seconds)
     var refreshinterval = 60
     var refreshEnabled = true

     // Shall the coundown be displayed inside your status bar? Say "yes" or "no" below:
     var displaycountdown = "yes"

     var starttime
     var nowtime
     var reloadseconds = 0
     var secondssinceloaded = 0

     function starttime() {
         starttime = new Date()
         starttime = starttime.getTime()
         countdown()
     }

     function countdown() {
         nowtime = new Date()
         nowtime = nowtime.getTime()
         secondssinceloaded = (nowtime - starttime) / 1000
         reloadseconds = Math.round(refreshinterval - secondssinceloaded)
         if (refreshinterval >= secondssinceloaded) {
             var timer = setTimeout("countdown()", 1000)
             if (displaycountdown == "yes" && refreshEnabled) {
                 window.status = "Page refreshing in " + reloadseconds + " seconds"
             }
         }
         else {
             clearTimeout(timer)
             
             if (refreshEnabled) {
                 location.href = "SyncConfig.aspx"
             }
         }
     }
     
     function enableDisableRefresh(disabledState) {
         if (disabledState) {
             refreshEnabled = false
             if (displaycountdown == "yes") {
                window.status = "Refresh Paused"
             }
         }
         else {
            refreshEnabled = true
            countdown()
         }
     }

     window.onload = starttime
    </script> 
    <table>
        <tr>
            <td class="subhead">                
                    <asp:Literal ID="Literal1" runat="server" Text="<%$ resources:ConfigureOrgs %>"/>:
            </td>
            <td style="border-left: 1px solid #d3d1aa;">&nbsp;</td>
            <td class="subhead" colspan="2">
                    <asp:Literal ID="Literal2" runat="server" Text="<%$ resources:ConfigureDataFilter %>"/>:
            </td>
            <td style="border-left: 1px solid #d3d1aa;">&nbsp;</td>
            <td class="subhead">
                    <asp:Literal ID="Literal3" runat="server" Text="<%$ resources:ConfigureIntegrations %>"/>:
            </td>
        </tr>
        <tr>
            <td valign="top">
                <table border="0" cellspacing="0" cellpadding="2">
                    <tr>
                        <td class="text">
                            <asp:Literal ID="Literal4" runat="server" Text="<%$ resources:Organization %>"/>:
                        </td>
                        <td>
                            <asp:TextBox ID="orgTextBox" runat="server" Width="75"></asp:TextBox>
                        </td>
                        <td colspan="2" align="right">
                            <asp:LinkButton ID="addOrgLink" runat="server" class="text" ToolTip="<%$ resources:AddOrgTip %>"
                                CausesValidation="false" OnClick="addOrgLink_Click" Text="<%$ resources:Add %>"></asp:LinkButton>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="3">
                            <asp:LinkButton ID="removeOrgs" runat="server" class="text" ToolTip="<%$ resources:RemoveOrgTip %>"
                                                    CausesValidation="false" OnClick="removeOrgs_Click" Text="<%$ resources:Remove %>"></asp:LinkButton>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="3">
                            <table class="tableservices" cellspacing="0" cellpadding="2" width="100%">
                                <asp:Repeater ID="orgsRepeater" runat="server">
                                    <HeaderTemplate>
                                        <tr>
                                            <td class="text">
                                                <asp:LinkButton ID="selectAllOrgs" runat="server" class="text" CausesValidation="false" ToolTip="<%$ resources:ExecuteAllTip %>"
                                                    OnClick="selectAllOrgs_Click" Text="<%$ resources:SelectAll %>"></asp:LinkButton>
                                            </td>
                                            <td class="text">
                                                <asp:Literal ID="Literal1" runat="server" Text="<%$ resources:Organization %>"/>
                                            </td>
                                        </tr>
                                    </HeaderTemplate>
                                    <ItemTemplate>
                                        <tr class="tableservices">
                                            <td class="text tdborder">
                                                <asp:CheckBox ID="removeChk" runat="server" ToolTip='<%# Server.HtmlEncode(DataBinder.Eval(Container, "DataItem.OrganizationId").ToString()) %>' />
                                            </td>
                                            <td class="text tdborder">
                                                <%# Server.HtmlEncode(DataBinder.Eval(Container, "DataItem.OrganizationId").ToString())%>
                                            </td>
                                        </tr>
                                    </ItemTemplate>
                                </asp:Repeater>
                            </table>
                        </td>
                    </tr>
                </table>
            </td>
            <td style="border-left: 1px solid #d3d1aa;">&nbsp;</td>
            <td class="subhead" colspan="2">
                <asp:RadioButtonList ID="deviceFilterOptions" runat="server" 
                    AutoPostBack="true" CssClass="text" CausesValidation="false" 
                    onselectedindexchanged="deviceFilterOptions_SelectedIndexChanged" ToolTip="<%$ resources:DataFilterTip %>">
                    <asp:ListItem Value="@OrganizationId" Text="<%$ resources:Organization %>"></asp:ListItem>
                    <asp:ListItem Value="@EmployeeId" Text="<%$ resources:Employee %>"></asp:ListItem>
                    <asp:ListItem Value="@DepartmentId" Text="<%$ resources:Department %>"></asp:ListItem>
                </asp:RadioButtonList>                            
            </td>                        
            <td style="border-left: 1px solid #d3d1aa;">&nbsp;</td>
            <td valign="top">
                <table border="0" cellspacing="0" cellpadding="2">
                    <tr>
                        <td>
                            <table border="0" cellspacing="0" cellpadding="2">
                                <tr>
                                    <td class="text"><asp:Literal ID="Literal5" runat="server" Text="<%$ resources:StartDate %>"/>:</td>
                                    <td>
                                        <asp:TextBox ID="syncAnchor" runat="server"></asp:TextBox>
                                    </td>
                                    <td align="left">
                                        <asp:LinkButton ID="configureButton" runat="server" class="text" ToolTip="<%$ resources:ConfigureTip %>"
                                            CausesValidation="true" OnClick="configureButton_Click" Text="<%$ resources:Configure %>"></asp:LinkButton>
                                    </td>
                                    <td>
                                        <asp:RequiredFieldValidator ID="syncAnchorRequiredValidator" runat="server" ErrorMessage="<%$ resources:StartDateRequired %>"
                                            Text="<%$ resources:StartDateRequired %>" ControlToValidate="syncAnchor" Display="None"></asp:RequiredFieldValidator>
                                        <asp:RangeValidator ID="syncAnchorDateValidator" runat="server" ErrorMessage="<%$ resources:InvalidDate %>"
                                            Text="<%$ resources:InvalidDate %>" ControlToValidate="syncAnchor" Display="None" MaximumValue="01/01/2099"
                                            MinimumValue="01/01/1900" Type="Date"></asp:RangeValidator>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:LinkButton ID="runButton"
                                            runat="server"
                                            ToolTip="<%$ resources:ExecuteSelectedTip %>"
                                            CausesValidation="false"
                                            OnClick="runButton_Click"
                                            Text="<%$ resources:Execute %>"
                                            class="text"
                                            style="color: #00AA00;"
                                            />
                        </td>
                        <td>
                            <asp:LinkButton ID="resetSyncStatusButton"
                                            runat="server"
                                            ToolTip="<%$ resources:ResetStatusTip %>"
                                            CausesValidation="true"
                                            OnClick="resetSyncStatusButton_Click"
                                            Text="<%$ resources:ResetStatus %>"
                                            style="color: #FF0000;"
                                            class="text" />
                       </td>
                   </tr>
                   <tr>
                       <td>
                            <a id="refreshLink"
                               title="Click here to refresh the list of integrations below."
                               class="text"
                               style="color: #00AA00;"
                               href="SyncConfig.aspx">
                               <asp:Literal ID="Literal6"
                                            runat="server"
                                            Text="<%$ resources:Refresh %>"/>
                            </a>&nbsp;&nbsp;&nbsp;
                            <input type="checkbox" id="chk" onclick="enableDisableRefresh(this.checked)" />
                            <label class="text" for="chk">
                                <asp:Literal ID="Literal7" runat="server" Text="<%$ resources:PauseAutoRefresh %>"/>
                            </label>
                        </td>
                        <td>
                            <asp:LinkButton ID="deleteIntegrationDataButton"
                                            runat="server"
                                            ToolTip="<%$ resources:DeleteIntegrationDataTip %>"
                                            CausesValidation="false"
                                            OnClick="deleteIntegrationDataButton_Click"
                                            Text="<%$ resources:DeleteIntegrationData %>"
                                            style="color: #FF0000;"
                                            class="text" />
                        </td>
                    </tr>
                    <tr>
                        <td>&nbsp;</td>
                        <td>
                            <asp:LinkButton ID="deleteTombstoneDataButton"
                                            runat="server"
                                            ToolTip="<%$ resources:DeleteTombstoneDataTip %>"
                                            CausesValidation="false"
                                            OnClick="deleteTombstoneDataButton_Click"
                                            Text="<%$ resources:DeleteTombstoneData %>"
                                            style="color: #FF0000;"
                                            class="text" />
                        </td>
                    </tr>
                    <tr>
                        <td>&nbsp;</td>
                        <td>
                            <asp:LinkButton ID="fullAdapterResetButton"
                                            runat="server"
                                            ToolTip="<%$ resources:FullAdapterResetTip %>"
                                            CausesValidation="true"
                                            OnClick="fullAdapterResetButton_Click"
                                            Text="<%$ resources:FullAdapterReset %>"
                                            style="color: #FF0000;"
                                            class="text" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:CheckBox ID = "enableDisableScheduledTaskCheckbox"
                                          runat = "server"
                                          Text = "Enable Scheduled Task" 
                                          AutoPostBack = "true" 
                                          OnCheckedChanged = "enableDisableScheduledTask" />
                        </td>
                        <td>
                            <asp:LinkButton ID="disableAdapterButton"
                                            runat="server"
                                            ToolTip="<%$ resources:DisableAdapterTip %>"
                                            CausesValidation="false"
                                            OnClick="disableAdapterButton_Click"
                                            Text="<%$ resources:DisableAdapter %>"
                                            style="color: #FF0000;"
                                            class="text" />
                        </td>
                    </tr>
                  </table>
              </td>
        </tr>
    </table>
    <hr style="color:#d3d1aa;"/>
    <div style="width:100%;height:100%;overflow:auto">
        <table>
            <asp:Repeater ID="integrationRepeater" runat="server">
                <HeaderTemplate>
                    <tr>
                        <td class="text">
                            <asp:LinkButton ID="selectAllIntegrations"
                                            runat="server"
                                            class="text"
                                            ToolTip="<%$ resources:ExecuteAllTip %>"
                                            CausesValidation="false"
                                            OnClick="selectAllIntegrations_Click"
                                            Text="<%$ resources:SelectAll %>"></asp:LinkButton>
                        </td>
                        <td class="text">
                            <asp:Literal ID="Literal1" runat="server" Text="<%$ resources:Description %>"/>:
                        </td>
                        <td class="text">
                            <asp:Literal ID="Literal12" runat="server" Text="<%$ resources:GridAndFunctionName %>"/>:
                        </td>
                        <td class="text">
                            <asp:Literal ID="Literal13" runat="server" Text="<%$ resources:TableName %>"/>:
                        </td>
                        <td class="text">
                            <asp:Literal ID="Literal14" runat="server" Text="<%$ resources:RecordCount %>"/>:
                        </td>
                        <td class="text">
                            <asp:Literal ID="Literal15" runat="server" Text="<%$ resources:TombstoneCount %>"/>:
                        </td>
                        <td class="text">
                            <asp:Literal ID="Literal8" runat="server" Text="<%$ resources:Interval %>"/>:
                        </td>
                        <td class="text">
                            <asp:Literal ID="Literal9" runat="server" Text="<%$ resources:Running %>"/>:
                        </td>
                        <td class="text">
                            <asp:Literal ID="Literal10" runat="server" Text="<%$ resources:LastAnchor %>"/>:
                        </td>
                        <td class="text">
                            <asp:Literal ID="Literal11" runat="server" Text="<%$ resources:Status %>"/>:
                        </td>
                    </tr>
                </HeaderTemplate>
                <ItemTemplate>
                    <tr class="tableservices">
                        <td class="text tdborder">
                            <asp:CheckBox ID="executeChk" runat="server" ToolTip='<%# Server.HtmlEncode(DataBinder.Eval(Container, "DataItem.AdapterType").ToString()) %>' />
                        </td>
                        <td class="text tdborder">
                            <%# DataBinder.Eval(Container, "DataItem.Description") %>
                        </td>
                        <td class="text tdborder">
                            <%# DataBinder.Eval(Container, "DataItem.GridAndFunctionName") %>
                        </td>
                        <td class="text tdborder">
                            <%# DataBinder.Eval(Container, "DataItem.TableName") %>
                        </td>
                        <td class="text tdborder">
                            <%# DataBinder.Eval(Container, "DataItem.RecordCountString") %>
                        </td>
                        <td class="text tdborder">
                            <%# DataBinder.Eval(Container, "DataItem.TombstoneRecordCountString") %>
                        </td>
                        <td class="text tdborder">
                            <%# DataBinder.Eval(Container, "DataItem.SyncIntervalMinutes") %>
                        </td>
                        <td class="text tdborder">
                            <%# DataBinder.Eval(Container, "DataItem.Running") %>
                        </td>
                        <td class="text tdborder">
                            <%# DataBinder.Eval(Container, "DataItem.LastSyncAnchor") %>
                        </td>
                        <td class="text tdborder">
                            <%# DataBinder.Eval(Container, "DataItem.LastSyncStatus") %>
                        </td>
                    </tr>
                </ItemTemplate>
            </asp:Repeater>
        </table>
    </div>
</asp:Content>
